from libnum import n2s
from number_theory import chinese_remainder
s0, s1, s2, pqr = [], [], [], []
s0.append(5686385026105901867473638678946)
s0.append(7379361747422713811654086477766)
s0.append(13374868592866626517389128266735)
s1.append(19616973567618515464515107624812)
s2.append(6149264605288583791069539134541)
s2.append(13028011585706956936052628027629)
s2.append(13404203109409336045283549715377)
pqr.append(26440615366395242196516853423447)
pqr.append(27038194053540661979045656526063)
pqr.append(32581479300404876772405716877547)
for r0 in s0:
    for r1 in s1:
        for r2 in s2:
            m = chinese_remainder(pqr, [r0, r1, r2])
            flag = n2s(int(m))
            if b'ctf{' in flag: print(flag)
